## org.eclipse.amp.amf.testing.aTest
Interface Model

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelImpl

    public interface Model

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Model'.

The following features are supported:

- `Name`
- `Description`
- `Tests`
- `Contraints`
- `Contains`

See Also:
  `ATestPackage.getModel()`

Method Summary
`org.eclipse.emf.common.util.EList<TestMember>` `getContains()` Returns the value of the 'Contains' containment reference list.
`org.eclipse.emf.common.util.EList<Constraint>` `getContraints()` Returns the value of the 'Contraints' containment reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`Tests` `getTests()` Returns the value of the 'Tests' containment reference.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setTests(Tests value)` Sets the value of the '`Tests`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `ATestPackage.getModel_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `ATestPackage.getModel_Description()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getTests

    Tests getTests()

  Returns the value of the 'Tests' containment reference.

  If the meaning of the 'Tests' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tests' containment reference.
  See Also:
    `setTests(Tests)`, `ATestPackage.getModel_Tests()`

### setTests

    void setTests(Tests value)

  Sets the value of the '`Tests`' containment reference.

  Parameters:
    `value` - the new value of the 'Tests' containment reference.
  See Also:
    `getTests()`

### getContraints

    org.eclipse.emf.common.util.EList<Constraint> getContraints()

  Returns the value of the 'Contraints' containment reference list. The list contents are of type `Constraint`.

  If the meaning of the 'Contraints' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contraints' containment reference list.
  See Also:
    `ATestPackage.getModel_Contraints()`

### getContains

    org.eclipse.emf.common.util.EList<TestMember> getContains()

  Returns the value of the 'Contains' containment reference list. The list contents are of type `TestMember`.

  If the meaning of the 'Contains' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contains' containment reference list.
  See Also:
    `ATestPackage.getModel_Contains()`